cURL
curl --request GET \ --url https://api.contazen.ro/v1/suppliers/{id} \ --header 'Authorization: Bearer <token>'
{ "success": true, "data": { "id": "sup_1a2b3c4d5e", "name": "<string>", "cui": "<string>", "rc": "<string>", "cnp": "<string>", "address": "<string>", "city": "<string>", "county": "<string>", "country": "<string>", "postal_code": "<string>", "phone": "<string>", "email": "<string>", "iban": "<string>", "bank": "<string>", "contact_person": "<string>", "contact_phone": "<string>", "contact_email": "<string>", "is_vat_payer": true, "statistics": { "expense_count": 123, "total_amount": 123, "paid_amount": 123, "unpaid_amount": 123 }, "recent_expenses": [ { "id": "<string>", "reference": "<string>", "amount": 123, "currency": "<string>", "date": "2023-12-25", "is_paid": true } ], "metadata": { "expense_count": 123, "total_expenses": 123, "unpaid_total": 123 }, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" }, "meta": { "version": "v1", "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "response_time": "23.45ms" } }
Retrieve a specific supplier by ID
Documentation IndexFetch the complete documentation index at: https://docs.contazen.ro/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.contazen.ro/llms.txt
Use this file to discover all available pages before exploring further.
Use your API key (sk_live_xxx or sk_test_xxx)
Supplier CzUid
Comma-separated list (statistics,recent_expenses)
Supplier details
Show child attributes
Was this page helpful?